import 'package:flutter/cupertino.dart';
import 'package:get/get.dart';
import 'package:SEFER/controller/home/payment/captain_wallet_controller.dart';

import '../../../../constant/style.dart';
import '../../../../views/widgets/elevated_btn.dart';
import '../home_captain_controller.dart';
import '../order_request_controller.dart';

class ConnectWidget extends StatelessWidget {
  const ConnectWidget({
    super.key,
  });

  @override
  Widget build(BuildContext context) {
    final OrderRequestController orderRequestController =
        Get.put(OrderRequestController());
    CaptainWalletController captainWalletController =
        Get.put(CaptainWalletController());

    captainWalletController.getCaptainWalletFromBuyPoints();
    return Center(
      child: GetBuilder<HomeCaptainController>(
        builder: (homeCaptainController) => int.parse(
                        orderRequestController.countRefuse) >
                    3 ||
                double.parse(captainWalletController.totalPoints) < -300
            ? CupertinoButton(
                onPressed: () {
                  Get.defaultDialog(
                      // backgroundColor: CupertinoColors.destructiveRed,
                      barrierDismissible: false,
                      title: double.parse(captainWalletController.totalPoints) <
                              -300
                          ? 'You dont have Points'.tr
                          : 'You Are Stopped For this Day !'.tr,
                      titleStyle: AppStyle.title,
                      content: Text(
                        double.parse(captainWalletController.totalPoints) < -300
                            ? 'You must be recharge your Account'.tr
                            : 'You Refused 3 Rides this Day that is the reason \nSee you Tomorrow!'
                                .tr,
                        style: AppStyle.title,
                      ),
                      confirm:
                          double.parse(captainWalletController.totalPoints) <
                                  -300
                              ? MyElevatedButton(
                                  title: 'Recharge my Account'.tr,
                                  onPressed: () {
                                    homeCaptainController
                                        .goToWalletFromConnect();
                                  })
                              : MyElevatedButton(
                                  title: 'Ok , See you Tomorrow'.tr,
                                  onPressed: () {
                                    Get.back();
                                    Get.back();
                                  }));
                },
                color: CupertinoColors.destructiveRed,
                child: Text('You are Stopped'.tr),
              )
            : CupertinoButton(
                onPressed: homeCaptainController.onButtonSelected,
                color: homeCaptainController.isActive
                    ? CupertinoColors.activeGreen
                    : CupertinoColors.inactiveGray,
                child: Text(homeCaptainController.isActive
                    ? 'Connected'.tr
                    : 'Not Connected'.tr),
              ),
      ),
    );
  }
}
